VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
Steinberg::Vst::Test Namespace Reference

## Functions
template<typename T, typename std::enable_if< std::is_floating_point< T >::value >::type * = nullptr>
constexpr bool | equal (const T &lhs, const T &rhs) noexcept
template<typename T>
constexpr bool | notEqual (const T &lhs, const T &rhs) noexcept
template<typename T>
constexpr bool | maxDiff (const T &lhs, const T &rhs, const T &maxDiff) noexcept

## Function Documentation

## ◆ equal()

template<typename T, typename std::enable_if< std::is_floating_point< T >::value >::type * = nullptr>

bool equal | ( | const T & | lhs,
|  | const T & | rhs )
| inline constexpr noexcept

## ◆ notEqual()

template<typename T>

bool notEqual | ( | const T & | lhs,
|  | const T & | rhs )
| inline constexpr noexcept

## ◆ maxDiff()

template<typename T>

bool maxDiff | ( | const T & | lhs,
|  | const T & | rhs,
|  | const T & | maxDiff )
| inline constexpr noexcept

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.